# Table of Contents - Erubi: Small ERB Implementation

## Pages

- CHANGELOG
  - 1.7.1 (2018-03-05)
  - 1.7.0 (2017-10-09)
  - 1.6.1 (2017-06-27)
  - 1.6.0 (2017-02-27)
  - 1.5.0 (2017-01-26)
  - 1.4.0 (2017-01-20)
  - 1.3.0 (2016-12-29)
  - 1.2.1 (2016-11-21)
  - 1.2.0 (2016-11-21)
  - 1.1.0 (2016-11-14)
  - 1.0.0 (2016-11-10)
- MIT-LICENSE
- README
  - Erubi
  - Installation
  - Source Code
  - Usage
  - Capturing
  - Reporting Bugs
  - License
  - Authors

## Classes and Modules

- Erubi
- Erubi::CaptureEndEngine
- Erubi::Engine

## Methods

- ::h — Erubi
- ::new — Erubi::Engine
- ::new — Erubi::CaptureEndEngine
- #add_code — Erubi::Engine
- #add_expression — Erubi::Engine
- #add_expression_result — Erubi::Engine
- #add_expression_result_escaped — Erubi::Engine
- #add_postamble — Erubi::Engine
- #add_text — Erubi::Engine
- #handle — Erubi::Engine
- #handle — Erubi::CaptureEndEngine